cURL
curl "https://api.phrase.com/v2/accounts/:account_id/glossaries/:glossary_id/terms" \
-u USERNAME_OR_ACCESS_TOKENphrase glossary_terms list \
--account_id <account_id> \
--glossary_id <glossary_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/glossaries/{glossary_id}/terms"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/glossaries/{glossary_id}/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1233",
"term": "Save",
"description": "This term is used on the 'Save' buttons of our website",
"translatable": true,
"case_sensitive": true,
"translations": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"locale_code": "fr-FR",
"content": "Entasser",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
{
"id": "abcd1234cdef1234abcd1234cdef1235",
"locale_code": "de-DE",
"content": "Speichern",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
],
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
]Glossary Terms
List terms
List all terms in term bases (previously: glossary) that the current user has access to.
GET
/
accounts
/
{account_id}
/
glossaries
/
{glossary_id}
/
terms
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/glossaries/:glossary_id/terms" \
-u USERNAME_OR_ACCESS_TOKENphrase glossary_terms list \
--account_id <account_id> \
--glossary_id <glossary_id> \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/glossaries/{glossary_id}/terms"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/glossaries/{glossary_id}/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "abcd1234cdef1234abcd1234cdef1233",
"term": "Save",
"description": "This term is used on the 'Save' buttons of our website",
"translatable": true,
"case_sensitive": true,
"translations": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"locale_code": "fr-FR",
"content": "Entasser",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
},
{
"id": "abcd1234cdef1234abcd1234cdef1235",
"locale_code": "de-DE",
"content": "Speichern",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
],
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
Was this page helpful?
⌘I